diff options
Diffstat (limited to 'tools/check-py-style.sh')
-rw-r--r-- | tools/check-py-style.sh | 18 |
1 files changed, 18 insertions, 0 deletions
diff --git a/tools/check-py-style.sh b/tools/check-py-style.sh new file mode 100644 index 0000000..16a2c3a --- /dev/null +++ b/tools/check-py-style.sh @@ -0,0 +1,18 @@ +#!/bin/sh +fail=0 + +/bin/sh "${top_srcdir}"/tools/check-whitespace.sh "$@" || fail=$? + +# at the moment we're not actually checking much Python style here... +# to be added + +if test -n "$CHECK_FOR_LONG_LINES" +then + if egrep -n '.{80,}' "$@" + then + echo "^^^ The above files contain long lines" + fail=1 + fi +fi + +exit $fail |